GLS ShipIT 5.0.17 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.gls_group.fpcs.v1.common.Consignee Class Reference

## Public Member Functions
String | getConsigneeID ()
void | setConsigneeID (String value)
String | getCostCenter ()
void | setCostCenter (String value)
CategoryType | getCategory ()
void | setCategory (CategoryType value)
Address | getAddress ()
void | setAddress (Address value)

## Protected Attributes
String | consigneeID
String | costCenter
CategoryType | category
Address | address

## Detailed Description

Consignee (it's address and custom reference values)

Java class for Consignee complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="Consignee">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="ConsigneeID" type="{http://fpcs.gls-group.eu/v1/Common}ConsigneeID" minOccurs="0"/>
            <element name="CostCenter" type="{http://fpcs.gls-group.eu/v1/Common}CostCenter" minOccurs="0"/>
            <element name="Category" type="{http://fpcs.gls-group.eu/v1/Common}CategoryType" minOccurs="0"/>
            <element name="Address" type="{http://fpcs.gls-group.eu/v1/Common}Address" minOccurs="0"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 44 of file gls_group/fpcs/v1/common/Consignee.java.

## Member Function Documentation

## ◆ getAddress()

Address eu.gls_group.fpcs.v1.common.Consignee.getAddress | ( |  | ) |

Gets the value of the address property.

Returns
  possible object is Address

Definition at line 136 of file gls_group/fpcs/v1/common/Consignee.java.

## ◆ getCategory()

CategoryType eu.gls_group.fpcs.v1.common.Consignee.getCategory | ( |  | ) |

Gets the value of the category property.

Returns
  possible object is CategoryType

Definition at line 112 of file gls_group/fpcs/v1/common/Consignee.java.

## ◆ getConsigneeID()

String eu.gls_group.fpcs.v1.common.Consignee.getConsigneeID | ( |  | ) |

Gets the value of the consigneeID property.

Returns
  possible object is String

Definition at line 64 of file gls_group/fpcs/v1/common/Consignee.java.

## ◆ getCostCenter()

String eu.gls_group.fpcs.v1.common.Consignee.getCostCenter | ( |  | ) |

Gets the value of the costCenter property.

Returns
  possible object is String

Definition at line 88 of file gls_group/fpcs/v1/common/Consignee.java.

## ◆ setAddress()

void eu.gls_group.fpcs.v1.common.Consignee.setAddress | ( | Address | value | ) |

Sets the value of the address property.

Parameters

  value | allowed object is Address

Definition at line 148 of file gls_group/fpcs/v1/common/Consignee.java.

## ◆ setCategory()

void eu.gls_group.fpcs.v1.common.Consignee.setCategory | ( | CategoryType | value | ) |

Sets the value of the category property.

Parameters

  value | allowed object is CategoryType

Definition at line 124 of file gls_group/fpcs/v1/common/Consignee.java.

## ◆ setConsigneeID()

void eu.gls_group.fpcs.v1.common.Consignee.setConsigneeID | ( | String | value | ) |

Sets the value of the consigneeID property.

Parameters

  value | allowed object is String

Definition at line 76 of file gls_group/fpcs/v1/common/Consignee.java.

## ◆ setCostCenter()

void eu.gls_group.fpcs.v1.common.Consignee.setCostCenter | ( | String | value | ) |

Sets the value of the costCenter property.

Parameters

  value | allowed object is String

Definition at line 100 of file gls_group/fpcs/v1/common/Consignee.java.

## Member Data Documentation

## ◆ address

Address eu.gls_group.fpcs.v1.common.Consignee.address
| protected

Definition at line 54 of file gls_group/fpcs/v1/common/Consignee.java.

## ◆ category

CategoryType eu.gls_group.fpcs.v1.common.Consignee.category
| protected

Definition at line 52 of file gls_group/fpcs/v1/common/Consignee.java.

## ◆ consigneeID

String eu.gls_group.fpcs.v1.common.Consignee.consigneeID
| protected

Definition at line 47 of file gls_group/fpcs/v1/common/Consignee.java.

## ◆ costCenter

String eu.gls_group.fpcs.v1.common.Consignee.costCenter
| protected

Definition at line 49 of file gls_group/fpcs/v1/common/Consignee.java.

The documentation for this class was generated from the following file:

- gls_group/fpcs/v1/common/Consignee.java